Bug 610982 - Export to flickr turning the tags into one string
Summary: Export to flickr turning the tags into one string
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-02 23:24 UTC by Brian Lane
Modified: 2011-02-06 19:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-06 15:53:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 631288 None None None Never

Description Brian Lane 2010-07-02 23:24:33 UTC
Description of problem:
When I export tagged photos to flickr they are showing up with the tags turned into a single tage instead of being separate tags.

Version-Release number of selected component (if applicable):
f-spot-0.6.1.5-2.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
Tag photo with multiple tags.
Export to Flickr
See tags become a single tag.

Also note, I have export tag hierarchy unchecked in the Flickr export dialog and export tag included checked.

Comment 1 Brian Lane 2010-07-02 23:32:32 UTC
Here is an example photo - http://flic.kr/p/8fikwu

I added Trees and 2010 and exported it. Tags show as 2010, '2010 Trees 2010' in flickr.

Comment 2 Brian Lane 2010-07-02 23:42:29 UTC
On further investigation this seems to be related to the store tags inside images option. If I have that turned on, and check export tags in the Flickr dialog I get the compressed tag. If I use one or the other the tags show up correctly (at least using 2 tags -- I am not sure how many you can store in the EXIF data).

Comment 3 Christian Krause 2010-12-30 21:16:36 UTC
I have checked f-spot's upstream bug database and it looks like that there is already a similar bug report:
https://bugzilla.gnome.org/show_bug.cgi?id=631288

1. Please can you test, whether the problems still happens with f-spot 0.8.x (in Fedora 14)

2. Please can you create a new upstream bug report specific for your problem:
https://bugzilla.gnome.org/enter_bug.cgi?product=f-spot
and include the following information:

- what was the detailed tag hierarchy for your example

Comment 4 Christian Krause 2011-02-06 15:53:24 UTC
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present. Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem. 

Setting status to "CLOSED: INSUFFICIENT_DATA". If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.

Comment 5 Brian Lane 2011-02-06 19:35:43 UTC
Sorry for the slow response, I have just confirmed that this is fixed in f-spot-0.8.2-1.fc14.x86_64

Thanks!


Note You need to log in before you can comment on or make changes to this bug.